Skip to main content
GET
/
api
/
end_users
/
{end_user_id_or_heron_id}
/
data_sources
Get data sources
curl --request GET \
  --url https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/data_sources \
  --header 'x-api-key: <api-key>'
import requests

url = "https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/data_sources"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/data_sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "created": "2026-05-30T16:07:04.212532",
    "data_source_accounts": [
      {
        "account_id": "202348",
        "anomaly_reasons": [
          "Statement metadata changed",
          "Manual review flagged suspicious edits"
        ],
        "anomaly_score": 200,
        "enabled": true,
        "max_date": "2022-01-31",
        "min_date": "2022-01-01",
        "num_transactions": 120,
        "transactions_match_balances": true
      }
    ],
    "heron_id": "dso_iWWLJ8xAL8stWqkzno5iVo",
    "last_updated": "2026-07-11T16:07:04.212554",
    "reference_id": "pdf_gz4Pi5o5U2yqBBFwKhEVtm",
    "type": "pdf",
    "is_enabled": true,
    "metadata": {
      "filename": "202348_JAN_2022.pdf"
    },
    "status": "new"
  }
]

Authorizations

x-api-key
string
header
required

Path Parameters

end_user_id_or_heron_id
string
required

Response

200 - application/json

Ok

created
string<date-time>
required

When the data source was created in Heron system

Example:

"2026-05-30T16:07:04.212532"

data_source_accounts
object[]
required

List of data source accounts associated with the data source

Example:
[
{
"account_id": "202348",
"anomaly_reasons": [
"Statement metadata changed",
"Manual review flagged suspicious edits"
],
"anomaly_score": 200,
"enabled": true,
"max_date": "2022-01-31",
"min_date": "2022-01-01",
"num_transactions": 120,
"transactions_match_balances": true
}
]
heron_id
string
required
read-only

Unique ID for data source generated by Heron

Example:

"dso_iWWLJ8xAL8stWqkzno5iVo"

last_updated
string<date-time>
required

When the data source was last updated in Heron system

Example:

"2026-07-11T16:07:04.212554"

reference_id
string
required

Unique ID to identify the data source

Example:

"pdf_gz4Pi5o5U2yqBBFwKhEVtm"

type
enum<string>
required

Data source type

Available options:
api,
csv,
pdf,
integration_link,
legacy,
legacy_pdf,
legacy_integration_link
Example:

"pdf"

is_enabled
boolean
default:true

Whether or not the data source is enabled. If disabled, hides related transactions from analytics

Example:

true

metadata
object

Metadata associated with the data source

Example:
{ "filename": "202348_JAN_2022.pdf" }
status
enum<string>

Status of the data source entity, where applicable (e.g. pdfs, integration links)

Available options:
new,
parsing,
parsed,
processed,
human_reviewing,
approved,
rejected,
failed,
transactions_loaded,
transactions_unloaded,
pending,
active,
syncing,
erroring,
sync_disabled,
deleted_in_plaid,
unknown
Example:

"new"